%define gcj_support     0
%define section         free
%define eclipse_base	%{_libdir}/eclipse

Name:           svnkit
Version:        1.2.2
Release:        %mkrel 0.0.1
Epoch:          0
Summary:        Pure Java Subversion client library
Group:          Development/Java
License:        BSD-style
URL:            http://svnkit.com/
# XXX: This contains the sequence library, but I cannot find the
# XXX: original upstream source.
Source0:        http://svnkit.com/org.tmatesoft.svn_%{version}.src.zip
Source1:        svnkit-doc.tar.bz2
Source2:        svnkit-jsvn-script
Source3:        svnkit-jsvnadmin-script
Source4:        svnkit-jsvnlook-script
Source5:        svnkit-jsvnsync-script
Patch0:         svnkit-1.1.4-no-javahl.patch
Requires:       trilead-ssh2
Requires:       jna
Requires:       svn-javahl
BuildRequires:  ant
BuildRequires:  java-rpmbuild >= 0:1.6
%if %{gcj_support}
BuildRequires:  java-gcj-compat-devel
%else
BuildRequires:  java-devel >= 0:1.4.2
BuildArch:      noarch
%endif
BuildRequires:  trilead-ssh2
BuildRequires:  jna
BuildRequires:  junit
BuildRequires:  svn-javahl
Obsoletes:      javasvn < %{epoch}:%{version}-%{release}
Provides:       javasvn = %{epoch}:%{version}-%{release}
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
SVNKit is a pure Java Subversion client library. You would like to use
SVNKit when you need to access or modify Subversion repository from
your Java application, be it a standalone program, plugin or web
application. Being a pure Java program, SVNKit doesn't need any
additional configuration or native binaries to work on any OS that runs
Java. On this site you will also find instructions on how to make
existing programs use SVNKit instead of native javahl bindings.

%package javadoc
Summary:        Javadoc for %{name}
Group:          Development/Java

%description javadoc
Javadoc for %{name}.

%prep
%setup -q -n %{name}-src-%{version}.5405
%setup -q -n %{name}-src-%{version}.5405 -T -D -a 1
%{_bindir}/find . -type d -name .svn | %{_bindir}/xargs -t %{__rm} -r
%remove_java_binaries

%{__ln_s} %{_javadir}/trilead-ssh2.jar contrib/trilead/trilead.jar
%{__ln_s} %{_javadir}/junit.jar contrib/junit/junit.jar
%{__ln_s} %{_javadir}/jna.jar contrib/jna/jna.jar

%build
export CLASSPATH=$(%{_bindir}/build-classpath svn-javahl jna trilead-ssh2)
export OPT_JAR_LIST=:
%{ant} build-library build-cli build-doc

#pushd svnkit-eclipse
#%{eclipse_base}/buildscripts/pdebuild -f org.tmatesoft.svnkit.feature \
#  -a "-DjavacTarget=1.6 -DjavacSource=1.6"
#popd

%install
%{__rm} -rf %{buildroot}

%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -a build/lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
%{__cp} -a build/lib/%{name}-cli.jar %{buildroot}%{_javadir}/%{name}-cli-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do %{__ln_s} ${jar} ${jar/-%{version}/}; done)

%{__mkdir_p} %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__cp} -a build/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version}
%{__ln_s} %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}

%{__mkdir} %{buildroot}%{_bindir}
%{__cp} -a %{SOURCE2} %{buildroot}%{_bindir}/jsvn
%{__cp} -a %{SOURCE3} %{buildroot}%{_bindir}/jsvnadmin
%{__cp} -a %{SOURCE4} %{buildroot}%{_bindir}/jsvnlook
%{__cp} -a %{SOURCE5} %{buildroot}%{_bindir}/jsvnsync

pushd build/lib
%{__perl} -pi -e 's/\r$//g' README.txt SEQUENCE-LICENSE changelog.txt
popd

%{_bindir}/find doc/examples -type f -name '*.java' | %{_bindir}/xargs %{__perl} -pi -e 's/\r$//g'

%{gcj_compile}

%clean
%{__rm} -rf %{buildroot}

%if %{gcj_support}
%post
%{update_gcjdb}

%postun
%{clean_gcjdb}
%endif

%files
%defattr(0644,root,root,0755)
%doc build/lib/{README.txt,SEQUENCE-LICENSE,changelog.txt} doc/examples
%attr(0755,root,root) %{_bindir}/jsvn
%attr(0755,root,root) %{_bindir}/jsvnadmin
%attr(0755,root,root) %{_bindir}/jsvnlook
%attr(0755,root,root) %{_bindir}/jsvnsync
%{_javadir}/svnkit-%{version}.jar
%{_javadir}/svnkit.jar
%{_javadir}/svnkit-cli-%{version}.jar
%{_javadir}/svnkit-cli.jar
%{gcj_files}

%files javadoc
%defattr(0644,root,root,0755)
%doc %{_javadocdir}/%{name}
%doc %{_javadocdir}/%{name}-%{version}


%changelog
* Sat Jan 17 2009 Funda Wang <fundawang@mandriva.org> 0:1.2.2-0.0.1mdv2009.1
+ Revision: 330737
- 1.2.2

* Mon Jan 12 2009 Jérôme Soyer <saispo@mandriva.org> 0:1.2.1-0.0.1mdv2009.1
+ Revision: 328659
- New upstream release

* Wed Oct 29 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.3mdv2009.1
+ Revision: 298648
- 1.2.0 final

* Fri Sep 26 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.2.rc4mdv2009.0
+ Revision: 288455
- rc4

* Thu Sep 18 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.2.rc3mdv2009.0
+ Revision: 285745
- bump release
- rc3

* Mon Jul 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.2.b4mdv2009.0
+ Revision: 251474
- new beta4

* Wed Jul 02 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.2.b2mdv2009.0
+ Revision: 230807
- beta 2

* Sat Jun 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.2.b1mdv2009.0
+ Revision: 229664
- fix cli scripts

* Sat Jun 28 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.2.0-0.0.1.b1mdv2009.0
+ Revision: 229653
- 1.2.0 beta for the new svn, disable gcj_compile

* Sat May 10 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1.7-0.0.1mdv2009.0
+ Revision: 205416
- new version

* Tue Mar 11 2008 Alexander Kurtakov <akurtakov@mandriva.org> 0:1.1.6-0.0.1mdv2008.1
+ Revision: 186280
- new version

* Wed Jan 02 2008 Olivier Blin <oblin@mandriva.com> 0:1.1.4-0.0.3mdv2008.1
+ Revision: 140863
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

  + Anssi Hannula <anssi@mandriva.org>
    - buildrequire java-rpmbuild, i.e. build with icedtea on x86(_64)

* Sat Sep 15 2007 Anssi Hannula <anssi@mandriva.org> 0:1.1.4-0.0.2mdv2008.0
+ Revision: 87199
- rebuild to filter out autorequires of GCJ AOT objects
- remove unnecessary Requires(post) on java-gcj-compat

* Wed Jul 25 2007 David Walluck <walluck@mandriva.org> 0:1.1.4-0.0.1mdv2008.0
+ Revision: 55247
- 1.1.4


* Wed Apr 04 2007 David Walluck <walluck@mandriva.org> 1.1.2-1.1mdv2007.1
+ Revision: 150464
- 1.1.2

* Sat Mar 31 2007 David Walluck <walluck@mandriva.org> 0:1.1.1-1.2mdv2007.1
+ Revision: 149974
- add scripts
- add missing cli jar

* Mon Feb 12 2007 David Walluck <walluck@mandriva.org> 0:1.1.1-1mdv2007.1
+ Revision: 120191
- 1.1.1

* Mon Dec 18 2006 David Walluck <walluck@mandriva.org> 0:1.1.0-3mdv2007.1
+ Revision: 98366
- better removal of external jars
- use external svn-javahl
- fix missing } that was breaking the build
- Import svnkit

